package domain


type AlibabaWdkopenOrderGetWdkOrderSyncBo struct {
    /*
        五道口订单ID     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        外部订单ID     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道店ID     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        商户编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        订单来源, 如 TAOBAO (4, "TC自营渠道"),     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        买家open_uid     */
    OpenUid  *string `json:"open_uid,omitempty" `

    /*
        用户订单支付金额,分     */
    PayFee  *int64 `json:"pay_fee,omitempty" `

    /*
        订单原价,分     */
    OriginFee  *int64 `json:"origin_fee,omitempty" `

    /*
        订单优惠金额,分     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        订单配送费,分     */
    PostFee  *int64 `json:"post_fee,omitempty" `

    /*
        订单状态,如PAID_DONE(2, "已付款"), TRADE_SUCCESS(6, "交易成功")     */
    OrderStatus  *int64 `json:"order_status,omitempty" `

    /*
        支付时间     */
    PayTime  *string `json:"pay_time,omitempty" `

    /*
        期望送达时间段     */
    ExpectArriveTime  *string `json:"expect_arrive_time,omitempty" `

    /*
        配送方式, 如InTime(1, "即时达"), SetTime(2, "定时达"),TopSpeed(3,"极速达"),NoNeedSend(4,"无需配送")     */
    ArriveType  *int64 `json:"arrive_type,omitempty" `

    /*
        子单列表     */
    SubOrders  *[]AlibabaWdkopenOrderGetSuborders `json:"sub_orders,omitempty" `

    /*
        订单优惠信息     */
    Promotions  *[]AlibabaWdkopenOrderGetPromotions `json:"promotions,omitempty" `

    /*
        商家优惠分摊     */
    DiscountMerchantFee  *int64 `json:"discount_merchant_fee,omitempty" `

    /*
        平台优惠分摊     */
    DiscountPlatformFee  *int64 `json:"discount_platform_fee,omitempty" `

    /*
        订单小号     */
    OrderNo  *string `json:"order_no,omitempty" `

    /*
        包装费     */
    PackageFee  *int64 `json:"package_fee,omitempty" `

}

func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetBizOrderId(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetOutOrderId(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetStoreId(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetShopId(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetMerchantCode(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetOrderFrom(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetOpenUid(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.OpenUid = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetPayFee(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.PayFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetOriginFee(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.OriginFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetDiscountFee(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetPostFee(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.PostFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetOrderStatus(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.OrderStatus = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetPayTime(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.PayTime = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetExpectArriveTime(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.ExpectArriveTime = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetArriveType(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.ArriveType = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetSubOrders(v []AlibabaWdkopenOrderGetSuborders) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.SubOrders = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetPromotions(v []AlibabaWdkopenOrderGetPromotions) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.Promotions = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetDiscountMerchantFee(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.DiscountMerchantFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetDiscountPlatformFee(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.DiscountPlatformFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetOrderNo(v string) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.OrderNo = &v
    return s
}
func (s *AlibabaWdkopenOrderGetWdkOrderSyncBo) SetPackageFee(v int64) *AlibabaWdkopenOrderGetWdkOrderSyncBo {
    s.PackageFee = &v
    return s
}
